#!/bin/bash

# ============LICENSE_START=======================================================
#  Copyright (C) 2021 The Nordix Foundation. All rights reserved.
# ================================================================================
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# SPDX-License-Identifier: Apache-2.0
# ============LICENSE_END=========================================================

set -o errexit
set -o pipefail

# NOTE (eprasad) we need to override execution mode variable to mode supported by test framework
export EXECUTION_MODE=$(echo "$EXECUTION_MODE" | sed 's/deployment/test/g')

if [[ "$EXECUTION_MODE" == "offline-test" ]]; then
  TEST_ROOT_DIR="/opt/test/offline/git/test"
else
  TEST_ROOT_DIR="$WORKSPACE"
fi

echo "Info  : Cloning infra/test repository"
cd $HOME && /bin/rm -rf $WORKSPACE
git clone -q $TEST_REPO_URL $WORKSPACE


cd "$TEST_ROOT_DIR/test"
./test.sh -s "$STACK_TYPE" -b "$BRANCH" -c "$DEPLOY_SCENARIO" -f "$TEST_FW" -t "$TEST_SUITE" \
    -o /tmp/openrc -i /tmp/inventory.ini -y -v

# vim: set ts=2 sw=2 expandtab:
